Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 775635 - dev-java/jmock-{1.2.0-r2,2.6.1-r1} stable request (then cleanup) (was: dev-java/jmock-{1.2.0-r1,2.6.1} is blocking EAPI 5 removal)
Summary: dev-java/jmock-{1.2.0-r2,2.6.1-r1} stable request (then cleanup) (was: dev-ja...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Java team
URL:
Whiteboard:
Keywords: CC-ARCHES, STABLEREQ
Depends on:
Blocks: EAPI5Removal
  Show dependency tree
 
Reported: 2021-03-12 14:43 UTC by Volkmar W. Pogatzki
Modified: 2021-03-27 16:27 UTC (History)
1 user (show)

See Also:
Package list:
=dev-java/jmock-1.2.0-r2 amd64 arm64 ppc64 x86 =dev-java/jmock-2.6.1-r1 amd64 x86
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Volkmar W. Pogatzki 2021-03-12 14:43:35 UTC
Port to EAPI 7
Comment 1 Larry the Git Cow gentoo-dev 2021-03-14 08:29:30 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fc3876841567939d008e2894e16440b6382e4399

commit fc3876841567939d008e2894e16440b6382e4399
Author:     Volkmar W. Pogatzki <gentoo@pogatzki.net>
AuthorDate: 2021-03-12 12:52:30 +0000
Commit:     Miroslav Šulc <fordfrog@gentoo.org>
CommitDate: 2021-03-14 08:23:31 +0000

    dev-java/jmock: EAPI 7
    
    Bug: https://bugs.gentoo.org/775635
    
    Package-Manager: Portage-3.0.13, Repoman-3.0.2
    Signed-off-by: Volkmar W. Pogatzki <gentoo@pogatzki.net>
    Closes: https://github.com/gentoo/gentoo/pull/19895
    Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>

 dev-java/jmock/files/jmock-1.2.0-AbstractMo.patch |  4 +-
 dev-java/jmock/jmock-1.2.0-r2.ebuild              | 48 +++++++++++++++++++++++
 dev-java/jmock/jmock-2.6.1-r1.ebuild              | 43 ++++++++++++++++++++
 3 files changed, 93 insertions(+), 2 deletions(-)
Comment 2 NATTkA bot gentoo-dev 2021-03-14 09:32:56 UTC Comment hidden (obsolete)
Comment 3 NATTkA bot gentoo-dev 2021-03-14 16:08:17 UTC Comment hidden (obsolete)
Comment 4 NATTkA bot gentoo-dev 2021-03-14 16:56:57 UTC Comment hidden (obsolete)
Comment 5 Volkmar W. Pogatzki 2021-03-15 09:17:48 UTC
Stabilization {arm,ppc}64 to be done later once #775638 is fixed.
Comment 6 NATTkA bot gentoo-dev 2021-03-15 09:20:56 UTC Comment hidden (obsolete)
Comment 7 Agostino Sarubbo gentoo-dev 2021-03-26 07:45:50 UTC
amd64 stable
Comment 8 Agostino Sarubbo gentoo-dev 2021-03-26 07:51:06 UTC
x86 stable. Closing.
Comment 9 Miroslav Šulc gentoo-dev 2021-03-26 08:03:24 UTC
some archs were missing
Comment 10 Sam James archtester gentoo-dev Security 2021-03-26 18:38:03 UTC
ppc64 done
Comment 11 Sam James archtester gentoo-dev Security 2021-03-27 16:05:28 UTC
arm64 done

all arches done
Comment 12 Sam James archtester gentoo-dev Security 2021-03-27 16:10:40 UTC
Please cleanup
Comment 13 Larry the Git Cow gentoo-dev 2021-03-27 16:27:58 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=65a4753d468ef80de98ee5eacdee7739be390f72

commit 65a4753d468ef80de98ee5eacdee7739be390f72
Author:     Miroslav Šulc <fordfrog@gentoo.org>
AuthorDate: 2021-03-27 16:27:40 +0000
Commit:     Miroslav Šulc <fordfrog@gentoo.org>
CommitDate: 2021-03-27 16:27:40 +0000

    dev-java/jmock: removed obsolete 1.2.0-r1
    
    Closes: https://bugs.gentoo.org/775635
    Package-Manager: Portage-3.0.17, Repoman-3.0.2
    Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>

 dev-java/jmock/jmock-1.2.0-r1.ebuild | 47 ------------------------------------
 1 file changed, 47 deletions(-)